CredentialNotFoundException (Java SE 25 & JDK 25)
Description: declaration: module: java.base, package: javax.security.auth.login, class: CredentialNotFoundException
Keywords: javax.security.auth.login.CredentialNotFoundException class

# Class CredentialNotFoundException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.security.GeneralSecurityException
javax.security.auth.login.LoginException
javax.security.auth.login.CredentialException
javax.security.auth.login.CredentialNotFoundException

All Implemented Interfaces:
  `Serializable`

public class CredentialNotFoundException extends CredentialException
Signals that a credential was not found.

This exception may be thrown by a LoginModule if it is unable to locate a credential necessary to perform authentication.

Since:
  1.5
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CredentialNotFoundException()`
  Constructs a CredentialNotFoundException with no detail message.
  `CredentialNotFoundException(String msg)`
  Constructs a CredentialNotFoundException with the specified detail message.

- ## Method Summary

  ### Methods declared in class Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CredentialNotFoundException

    public CredentialNotFoundException()
    Constructs a CredentialNotFoundException with no detail message. A detail message is a String that describes this particular exception.

  - ### CredentialNotFoundException

    public CredentialNotFoundException(String msg)
    Constructs a CredentialNotFoundException with the specified detail message. A detail message is a String that describes this particular exception.
    Parameters:
      `msg` - the detail message.